﻿
using System;
using System.Web;
using Wisej.Web;

namespace Wisej.UploadSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			this.dataGridView1.VirtualMode = true;
			this.dataGridView1.RowCount = 100;
		}

		private void upload1_DragDrop(object sender, DragEventArgs e)
		{
			// file names.
			var fileNames = e.Data.GetData(DataFormats.FileDrop);

			// HTTPCollection of files.
			var files = e.Data.GetData(DataFormats.Files);

			this.upload1.Value = fileNames.ToJSON();
		}

		private void upload1_DragOver(object sender, DragEventArgs e)
		{
			e.Effect = DragDropEffects.Move;
		}

		private void dataGridView1_DragDrop(object sender, DragEventArgs e)
		{
			var fileNames = ((string[])e.Data.GetData(DataFormats.FileDrop));

			var firstFileName = fileNames[0];

			var cell = this.dataGridView1.SelectedCells[0];

			AlertBox.Show($"file: {firstFileName}, col: {cell.ColumnIndex}, row: {cell.RowIndex}");
		}

		private void dataGridView1_DragOver(object sender, DragEventArgs e)
		{
			e.Effect = DragDropEffects.Move;

			// location relative to entire page.
			var x = e.Location.X;
			var y = e.Location.Y;

			// convert page location relative to control.
			var point = this.dataGridView1.PointToClient(new System.Drawing.Point(x, y));

			// see what is underneath this point.
			var hitTest = this.dataGridView1.HitTest(point);

			if (hitTest.Type == DataGridView.HitTestType.Cell)
			{
				var cell = hitTest.Cell;

				this.dataGridView1.ClearSelection();
				cell.Selected = true;
			}
		}
	}
}
